org.apache.hc.client5.http.impl.cookie

## Class CookieSpecBase

- java.lang.Object
- - org.apache.hc.client5.http.impl.cookie.AbstractCookieSpec
  - - org.apache.hc.client5.http.impl.cookie.CookieSpecBase

All Implemented Interfaces:
  CookieSpec

Direct Known Subclasses:
  IgnoreSpec

    @Contract(threading=SAFE_CONDITIONAL)
    public abstract class CookieSpecBase
    extends AbstractCookieSpec

Cookie management functions shared by all specification.

Since:
  4.0

### Constructor Summary

Constructors
`` `CookieSpecBase()`
`protected` `CookieSpecBase(CommonCookieAttributeHandler... handlers)`
`protected` `CookieSpecBase(HashMap<String,CookieAttributeHandler> map)`

### Method Summary

Methods
`protected static String` `getDefaultDomain(CookieOrigin origin)`
`protected static String` `getDefaultPath(CookieOrigin origin)`
`boolean` `match(Cookie cookie, CookieOrigin origin)` Determines if a Cookie matches the target location.
`protected List<Cookie>` `parse(org.apache.hc.core5.http.HeaderElement[] elems, CookieOrigin origin)`
`void` `validate(Cookie cookie, CookieOrigin origin)` Validate the cookie according to validation rules defined by the cookie specification.

### Methods inherited from class org.apache.hc.client5.http.impl.cookie.AbstractCookieSpec

`findAttribHandler, getAttribHandler, getAttribHandlers`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.hc.client5.http.cookie.CookieSpec

`formatCookies, parse`

### Constructor Detail

#### CookieSpecBase

    public CookieSpecBase()

#### CookieSpecBase

    protected CookieSpecBase(HashMap<String,CookieAttributeHandler> map)

Since:
  4.4

#### CookieSpecBase

    protected CookieSpecBase(CommonCookieAttributeHandler... handlers)

Since:
  4.4

### Method Detail

#### getDefaultPath

    protected static String getDefaultPath(CookieOrigin origin)

#### getDefaultDomain

    protected static String getDefaultDomain(CookieOrigin origin)

#### parse

    protected List<Cookie> parse(org.apache.hc.core5.http.HeaderElement[] elems,
                     CookieOrigin origin)
                          throws MalformedCookieException

Throws:
  `MalformedCookieException`

#### validate

    public void validate(Cookie cookie,
                CookieOrigin origin)
                  throws MalformedCookieException

Description copied from interface: `CookieSpec`
Validate the cookie according to validation rules defined by the cookie specification.

Parameters:
  `cookie` - the Cookie to validate
  `origin` - details of the cookie origin
Throws:
  `MalformedCookieException` - if the cookie is invalid

#### match

    public boolean match(Cookie cookie,
                CookieOrigin origin)

Description copied from interface: `CookieSpec`
Determines if a Cookie matches the target location.

Parameters:
  `cookie` - the Cookie to be matched
  `origin` - the target to test against
Returns:
  `true` if the cookie should be submitted with a request with given attributes, `false` otherwise.